<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Categories</title>
</head>
<body>
    <header>
        <nav>
            <ul>
        {% if user.is_authenticated %}
            Hello, {{user.username}}
            <li><a href = "{% url "create_receipt" %}">Create a New Receipt</a></li>
            <li><a href = "{% url "create_account" %}">Create a New Account</a></li>
            <li><a href = "{% url "create_category" %}">Create a New Category</a></li>
            <li><a href = "{% url "home" %}"> Home Page</a></li>
            <li><a href = "{% url "account_list" %}">Account List</a></li>
            <li><a href = "{% url "category_list" %}">Category List</a></li>
            <li><a href = "{% url "logout" %}">Logout</a></li>
        {% else %}
            <li><a href = "{% url "signup" %}">Sign Up</a></li>
            <li><a href = "{% url "login" %}">Login</a></li>
        {% endif %}
            </ul>
        </nav>
    </header>
    <main>
        <h1>My Categories</h1>
        <table>
            <thead>
                <tr>
                    <th>Category Name</th> <!--1 name-->
                    <th>Number of Receipts</th> <!--2-->
                </tr>
            </thead>
            <tbody>
                {% for category in categories %}
                    <tr>
                        <td>{{category.name}}</td>
                        <td>{{category.receipts.all|length}}</td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </main>
</body>
</html>